Name:          leveldb-java
Version:       0.7
Release:       11
Summary:       LevelDB Java Port
License:       ASL 2.0
URL:           https://github.com/dain/leveldb
Source0:       https://github.com/dain/leveldb/archive/%{version}.tar.gz

BuildRequires: mvn(com.google.guava:guava) mvn(org.xerial.snappy:snappy-java) mvn(joda-time:joda-time)
BuildRequires: mvn(junit:junit) mvn(org.testng:testng) mvn(org.fusesource.leveldbjni:leveldbjni-all)
BuildRequires: maven-local maven-enforcer-plugin maven-site-plugin maven-surefire-provider-testng

BuildArch:     noarch

%description
Java rewritten LevelDB port.

%package help
Provides:      %{name}-javadoc = %{version}-%{release}
Obsoletes:     %{name}-javadoc < %{version}-%{release}
Summary:       Leveldb-java java usage introduction

%description help
This package contains introduction to using leveldb-java.

%prep
%autosetup  -n leveldb-%{version} -p1

%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :proguard-maven-plugin leveldb
%pom_remove_dep com.google.code.findbugs:jsr305 leveldb
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-shade-plugin leveldb

%pom_remove_plugin :maven-javadoc-plugin

rm -r leveldb/src/test/java/org/iq80/leveldb/table/{MMapTableTest.java,FileChannelTableTest.java}

%pom_add_dep junit:junit::test leveldb

%pom_remove_dep org.fusesource.leveldbjni:leveldbjni-all leveldb
rm -r leveldb/src/test/java/org/iq80/leveldb/impl/NativeInteropTest.java

%build
%mvn_build

%install
%mvn_install

%files  -f .mfiles
%dir %{_javadir}/%{name}
%doc README.md
%license license.txt notice.md

%files help -f .mfiles-javadoc

%changelog
* Thu Jan 16 2020 lihao <lihao129@huawei.com> - 0.7-11
- Delete patches

* Fri Dec 20 2019 yangjian<yangjian79@huawei.com> - 0.7-10
- Package init
